summaryrefslogtreecommitdiffstats
path: root/network/elinks/elinks.SlackBuild
diff options
context:
space:
mode:
author Brian Muramatsu <brian@fhobia.org>2010-05-11 15:01:27 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:01:27 +0200
commit0489ac2dab7283952218ddf4704163f431a88caf (patch)
tree95f75065e0222baee92c23877cb05dcb1a8bf58a /network/elinks/elinks.SlackBuild
parent744f4f4f4e2c0d8f297f8913f2966ddbf031e7a6 (diff)
downloadslackbuilds-0489ac2dab7283952218ddf4704163f431a88caf.tar.gz
slackbuilds-0489ac2dab7283952218ddf4704163f431a88caf.tar.xz
network/elinks: Initial import
Diffstat (limited to 'network/elinks/elinks.SlackBuild')
-rw-r--r--network/elinks/elinks.SlackBuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/network/elinks/elinks.SlackBuild b/network/elinks/elinks.SlackBuild
new file mode 100644
index 0000000000..8066623309
--- /dev/null
+++ b/network/elinks/elinks.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for elinks
+
+# Written by Brian Muramatsu (brian@fhobia.org)
+# Modified by the SlackBuilds.org project
+# Thanks to dadexter@sekurity.com for help with this.
+
+PRGNAM=elinks
+VERSION=0.11.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mtune=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvjf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-guile \
+ --enable-cgi \
+ --enable-nntp \
+ --enable-html-highlight \
+ --enable-finger \
+ --enable-bittorrent \
+ --enable-exmode \
+ --enable-88-colors \
+ --enable-256-colors \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README SITES \
+ THANKS TODO doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/man
+find $PKG/usr/doc -name "Makefile*" -exec rm -f {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+
+# The locale.alias file is part of the glibc package; let's not clobber it
+rm -f $PKG/usr/share/locale/locale.alias
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz